Subject: bug#16644: closed (Re: bug#16644: 24.3.50; Can't get Git Org mode info files before info files bundled with Emacs)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 15 Feb 2014 04:01:03 +0000

Your bug report

#16644: 24.3.50; Can't get Git Org mode info files before info files bundled with Emacs

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
16644: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=16644
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#16644: 24.3.50; Can't get Git Org mode info files before info files bundled with Emacs
From: Glenn Morris <[email-masked]>
To: [email-masked]
Date: Fri, 14 Feb 2014 22:59:58 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

Glenn Morris wrote:

> If you are running uninstalled, I expect
>
> http://lists.gnu.org/archive/html/emacs-diffs/2014-01/msg00130.html
>
> is to blame. It should probably be reverted anyway.

Done.

Subject: 24.3.50; Can't get Git Org mode info files before info files bundled with Emacs
From: "Sebastien Vauban" <[email-masked]>
To: [email-masked]
Date: Tue, 04 Feb 2014 16:45:16 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

As I'm using Org mode from Git, I try to use the info files generated
(by `make info') instead of the "old" ones, bundled with GNU Emacs.

Here is my minimal configuration file:

--8<---------------cut here---------------start------------->8---
(message "Loading Minimal Emacs...")

;; Org-mode
(add-to-list 'load-path "~/Public/Repositories/org-mode/lisp")
                                        ; modify the paths to suit your environment!

;; getting started
(add-to-list 'auto-mode-alist '("\\.\\(org\\|org_archive\\|txt\\)\\'" . org-mode))
(require 'org-loaddefs)

(setq Info-default-directory-list
      `(,(expand-file-name
          (concat (file-name-directory (locate-library "org")) "../doc/"))
        "c:/cygwin/usr/share/info/"
        ,@Info-default-directory-list))

(setq Info-additional-directory-list
      `(,(expand-file-name
          (concat (file-name-directory (locate-library "org")) "../doc/"))
        "c:/cygwin/usr/share/info/"))

(message "Loading Minimal Emacs... Done")
--8<---------------cut here---------------end--------------->8---

1. When setting `Info-default-directory-list' ONLY (commenting the lines
   about `Info-additional-directory-list'), the value of
   `Info-directory-list' is:

--8<---------------cut here---------------start------------->8---
   ("c:/Program Files (x86)/emacs-trunk/share/info/"
    "d:/Users/sva/Public/Repositories/org-mode/doc/"
    "c:/cygwin/usr/share/info/")
--8<---------------cut here---------------end--------------->8---

2. When setting `Info-additional-directory-list' ONLY (commenting the lines
   about `Info-default-directory-list'), the value of `Info-directory-list'
   is:

--8<---------------cut here---------------start------------->8---
    ("c:/Program Files (x86)/emacs-trunk/share/info/")
--8<---------------cut here---------------end--------------->8---

That is: I never get the info files from the Git repository in front of
the Emacs one.

Best regards,
  Seb

-- 
Sebastien Vauban